summaryrefslogtreecommitdiffstats
path: root/tests/ts/cal
diff options
context:
space:
mode:
authorTommi Kyntola2013-10-07 13:32:23 +0200
committerKarel Zak2013-10-22 10:32:32 +0200
commitaae4f87e6892f7bbda82444f2dbf38bc83aa1fce (patch)
tree0588cfc3114523e31bd66ae454cff23a4023fb0d /tests/ts/cal
parentcal: various tests for week numbers (diff)
downloadkernel-qcow2-util-linux-aae4f87e6892f7bbda82444f2dbf38bc83aa1fce.tar.gz
kernel-qcow2-util-linux-aae4f87e6892f7bbda82444f2dbf38bc83aa1fce.tar.xz
kernel-qcow2-util-linux-aae4f87e6892f7bbda82444f2dbf38bc83aa1fce.zip
cal: added argument option for -w|--week to display that week
Because many years have two sections of week 52 or 53, the week that this argument points to is the one that starts during that year (when available). The week number in argument is also highlighted in addition to possibly visible current/defined date highlighting. Signed-off-by: Tommi Kyntola <kynde@iki.fi>
Diffstat (limited to 'tests/ts/cal')
-rwxr-xr-xtests/ts/cal/weekarg131
1 files changed, 131 insertions, 0 deletions
diff --git a/tests/ts/cal/weekarg b/tests/ts/cal/weekarg
new file mode 100755
index 000000000..be50e044d
--- /dev/null
+++ b/tests/ts/cal/weekarg
@@ -0,0 +1,131 @@
+#!/bin/bash
+
+#
+# Copyright (C) 2007 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+TS_TOPDIR="$(dirname $0)/../.."
+TS_DESC="week number given as argument"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+
+set -o pipefail
+
+USETERM=$( ts_has_option "useterm" "$*" )
+
+[ "$USETERM" == "yes" ] && TS_VERBOSE="yes"
+ts_log ""
+
+MYTIME="7 10 2013"
+PWEEK="week 40"
+WEEK="--week=40"
+ts_log "Gregorian - Monday-based, $PWEEK, 3 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3m $WEEK $MYTIME
+fi
+$TS_CMD_CAL -3m $WEEK $MYTIME >> $TS_OUTPUT
+
+ts_log "Gregorian - Sunday-based, $PWEEK, 3 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3s $WEEK $MYTIME
+fi
+$TS_CMD_CAL -3s $WEEK $MYTIME >> $TS_OUTPUT
+
+
+ts_log "Julian - Monday-based, $PWEEK, 3 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3mj $WEEK $MYTIME
+fi
+$TS_CMD_CAL -3mj $WEEK $MYTIME >> $TS_OUTPUT
+
+ts_log "Julian - Sunday-based, $PWEEK, 3 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3sj $WEEK $MYTIME
+fi
+$TS_CMD_CAL -3sj $WEEK $MYTIME >> $TS_OUTPUT
+
+ts_log "Gregorian - Monday-based, $PWEEK, 1 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -m $WEEK $MYTIME
+fi
+$TS_CMD_CAL -m $WEEK $MYTIME >> $TS_OUTPUT
+
+ts_log "Gregorian - Sunday-based, $PWEEK, 1 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -s $WEEK $MYTIME
+fi
+$TS_CMD_CAL -s $WEEK $MYTIME >> $TS_OUTPUT
+
+
+ts_log "Julian - Monday-based, $PWEEK, 1 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -mj $WEEK $MYTIME
+fi
+$TS_CMD_CAL -mj $WEEK $MYTIME >> $TS_OUTPUT
+
+ts_log "Julian - Sunday-based, $PWEEK, 1 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -sj $WEEK $MYTIME
+fi
+$TS_CMD_CAL -sj $WEEK $MYTIME >> $TS_OUTPUT
+
+# tricky year, starts with a bit of 53 yet ends during 52
+MYTIME="2010"
+PWEEK="week 53"
+WEEK="--week=53"
+ts_log "Gregorian - Monday-based, $PWEEK, 1 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1m $WEEK $MYTIME
+fi
+$TS_CMD_CAL -1m $WEEK $MYTIME >> $TS_OUTPUT
+
+ts_log "Julian - Monday-based, $PWEEK, 1 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1mj $WEEK $MYTIME
+fi
+$TS_CMD_CAL -1mj $WEEK $MYTIME >> $TS_OUTPUT
+
+MYTIME="2010"
+PWEEK="week 53 with colors"
+WEEK="--week=53 --color=always"
+ts_log "Gregorian - Monday-based, $PWEEK, 1 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1m $WEEK $MYTIME
+fi
+$TS_CMD_CAL -1m $WEEK $MYTIME >> $TS_OUTPUT
+
+ts_log "Julian - Monday-based, $PWEEK, 1 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -1mj $WEEK $MYTIME
+fi
+$TS_CMD_CAL -1mj $WEEK $MYTIME >> $TS_OUTPUT
+
+MYTIME="7 10 2013"
+PWEEK="week 40 with colors"
+WEEK="--week=40 --color=always"
+ts_log "Gregorian - Monday-based, $PWEEK, 3 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3m $WEEK $MYTIME
+fi
+$TS_CMD_CAL -3m $WEEK $MYTIME >> $TS_OUTPUT
+
+ts_log "Julian - Monday-based, $PWEEK, 3 month $x"
+if [ "$USETERM" == "yes" ]; then
+ $TS_CMD_CAL -3mj $WEEK $MYTIME
+fi
+$TS_CMD_CAL -3mj $WEEK $MYTIME >> $TS_OUTPUT
+
+ts_finalize
+